Bug 1468746 - [GSS](6.4.z) Monthly file rotation will continually overwrite the rotated log file
[GSS](6.4.z) Monthly file rotation will continually overwrite the rotated log...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging (Show other bugs)
6.4.16
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.18
Assigned To: James Perkins
Jiří Bílek
:
Depends On:
Blocks: 1487274 eap6418-payload 1468748
  Show dependency treegraph
 
Reported: 2017-07-07 15:50 EDT by Brad Maxwell
Modified: 2017-12-06 13:28 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 13:28:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-11997 Major Verified [GSS](7.1.0) Monthly file rotation will continually overwrite the rotated log file 2018-04-05 09:59 EDT
JBoss Issue Tracker JBEAP-11998 Major Verified [GSS](7.0.z) Monthly file rotation will continually overwrite the rotated log file 2018-04-05 09:59 EDT
JBoss Issue Tracker LOGMGR-163 Blocker Resolved Monthly file rotation will continually overwrite the rotated log file 2018-04-05 09:59 EDT
Red Hat Knowledge Base (Solution) 3107791 None None None 2017-11-15 02:57 EST

  None (edit)
Description Brad Maxwell 2017-07-07 15:50:45 EDT
When the next rollover time is calculated a java.util.Calendar is used. When rotated monthly the day of the week is set to 0 and 1 month is added. This causes the calendar to be set to the last day of the current month.

On the last day of the month this also causes the file to continually rotate with each log message written, overwriting the previous log message.
Comment 6 Jiří Bílek 2017-10-18 10:35:07 EDT
Verified with EAP 6.4.18.CP.CR1
Comment 7 Jiri Truhlar 2017-11-01 08:58:31 EDT
Verified with EAP 6.4.18.CP.CR1
Comment 8 Petr Penicka 2017-12-06 13:28:26 EST
Released on Nov 14 2017 as part of EAP 6.4.18.

Note You need to log in before you can comment on or make changes to this bug.